DEBSIGN(1)

BEZEICHNUNG
debsign - signiert ein Debian-.changes- und -.dsc-Dateipaar mittels GPG

ÜBERSICHT
debsign [Optionen] [Changes-Datei|Dsc-Datei|Befehlsdatei …]

BESCHREIBUNG
debsign ahmt die Signierungsgesichtspunkte (und Fehler) von dpkg-buildpackage(1) nach. Es nimmt eine .dsc-, .buildinfo- oder .changes-Datei entgegen und signiert sie ebenso wie jede untergeordnete .dsc-, .buildinfo- oder .changes-Datei, auf die direkt oder indirekt verwiesen wird, mittels des GNU Privacy Guards. Es ist gewissenhaft, die Größe der Prüfsummen aller neu signierten untergeordneten Dateien zu berechnen und die Originalwerte in der übergeordneten Datei zu ersetzen.

Falls keine Datei angegeben wurde, wird debian/changelog ausgewertet, um den Namen der .changes-Datei zu bestimmen, nach der im übergeordneten Verzeichnis gesucht werden soll.

Falls eine .commands-Datei angegeben wurde, wird sie zuerst validiert (Einzelheiten finden Sie unter ftp://ftp.upload.debian.org/pub/UploadQueue/README). Der im Feld »Uploader« angegebene Name wird für das Signieren verwendet.

Dieses Hilfswerkzeug ist nützlich, falls ein Entwickler ein Paket auf einem Rechner bauen muss, der nicht sicher genug ist, um es zu signieren; er muss dann nur die kleinen .dsc-, .buildinfo- und .changes-Dateien an einen sicheren Rechner übertragen und dann das Programm debsign verwenden, um sie vor der Rückübertragung zu signieren. Dieser Prozess kann auf zwei Arten automatisiert werden. Falls die Dateien zum Signieren auf dem fernen Rechner liegen, kann die Option -r benutzt werden, um sie auf den lokalen Rechner und nach dem Signieren zurück zu kopieren. Falls die Dateien auf dem lokalen Rechner liegen, können sie auf den fernen Rechner übertragen werden, um sie mittels debrsign(1) zu signieren. Beachten Sie jedoch, dass es wahrscheinlich sicherer ist, wenn Sie ihren vertrauenswürdigen Signierrechner benutzen, der sich mittels debsign mit dem nicht vertrauenswürdigen Signierrechner verbindet, als debrsign zu verwenden, um die Verbindung in umgekehrter Richtung herzustellen.

Dieses Programm kann Standardeinstellungen der devscripts-Konfigurationsdateien übernehmen, wie nachfolgend beschrieben.

OPTIONEN

-r [Benutzername@]ferner_Rechner
    Die Dateien, die signiert werden sollen, liegen auf dem angegebenen fernen Rechner. In diesem Fall muss explizit eine .dsc-, .buildinfo- oder .changes-Datei mit einem absoluten Pfad oder relativ zum fernen Home-Verzeichnisbaum benannt werden. Zum Kopieren wird scp verwendet. Als eine Alternative ist die Syntax [Benutzername@]ferner_Rechner:Dateiname zulässig. Platzhalter (* etc.) sind erlaubt.

-pProgrammname
    Wenn debsign zum Signieren GPG ausführen muss, wird es Programmname (dabei durchsucht es PATH, falls nötig) anstelle von gpg ausführen.

-mPaketbetreuer
    gibt den Namen des Paketbetreuers an, der zum Signieren verwendet werden soll. (Weitere Informationen über die Unterschiede zwischen -m, -e und -k beim Paketbau finden Sie unter dpkg-buildpackage(1); debsign macht keinen Gebrauch von diesen Unterschieden, außer dass es berücksichtigt, dass die verschiedenen Optionen Vorrang haben. Diese Mehrfachoptionen werden bereitgestellt, so dass sich das Programm wie erwartet verhält, wenn es durch debuild(1) aufgerufen wird.)

-ePaketbetreuer
    entspricht -m, hat demgegenüber aber Vorrang

-kSchlüsselkennung
    gibt die Schlüsselkennung an, die zum Signieren benutzt wird; setzt alle -m- und -e-Optionen außer Kraft

-S  sucht nach einer reinen Quell-.changes-Datei anstatt einer .changes-Datei eines Binärbaus.

-aDebian-Architektur, -tGNU-Systemtyp
    Eine Beschreibung dieser Optionen finden Sie unter dpkg-architecture(1). Sie beeinflussen die Suche nach der .changes-Datei. Sie werden bereitgestellt, um das Verhalten von dpkg-buildpackage nachzumachen, wenn der Name der .changes-Datei festgestellt wird.

--multi
    Multiarch-Änderungsmodus: Dies bedeutet, dass debsign die aktuellste Datei mit dem Namensmuster Paket_Version_*+*.changes als .changes-Datei verwenden soll, was durch dpkg-cross erstellte .changes-Dateien ermöglicht.

--re-sign, --no-re-sign
    erstellt die Signatur neu, beziehungsweise benutzt die existierende Signatur, falls die Datei bereits signiert ist. Falls keine der beiden Optionen angegeben wurde, und eine bereits signierte Datei gefunden wird, wird der Benutzer gefragt, ob er oder sie die aktuelle Signatur verwenden möchte.

--debs-dir VERZ
    sucht nach den zu signierenden Dateien in Verzeichnis statt im übergeordneten Verzeichnis des Quellverzeichnisses. Dies sollte entweder ein absoluter Pfad oder relativ zur Wurzel des Quellverzeichnisses sein.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--help, -h
    zeigt eine Hilfenachricht an und endet erfolgreich

--version
    zeigt Versions- und Copyright-Informationen an und endet erfolgreich.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

DEBSIGN_PROGRAM
    Diese Einstellung entspricht der Angabe der Option -p.

DEBSIGN_MAINT
    Dies ist die Option -m.

DEBSIGN_KEYID
    Und dies ist die Option -k.

DEBSIGN_ALWAYS_RESIGN
    signiert ohne Nachfrage Dateien immer neu, sogar, wenn sie bereits signiert sind.

DEBRELEASE_DEBS_DIR
    Dies gibt das Verzeichnis an, in dem nach den zu signierenden Dateien gesucht werden soll. Es ist entweder ein absoluter Pfad oder relativ zur obersten Ebene des Quellverzeichnisbaums. Dies entspricht der Befehlszeilenoption --debs-dir. Diese Direktive kann zum Beispiel benutzt werden, falls Sie immer pbuilder oder svn-buildpackage verwenden, um Ihre Pakete zu bauen. Beachten Sie, dass es außerdem debrelease(1) auf die gleiche Weise beeinflusst, daher der merkwürdige Name der Option.

SIEHE AUCH
debrsign(1), debuild(1), dpkg-architecture(1), dpkg-buildpackage(1), gpg(1), md5sum(1), sha1sum(1), sha256sum(1), scp(1), devscripts.conf(5)

AUTOR
Dieses Programm wurde von Julian Gilbey <jdg@debian.org> geschrieben und unterliegt dem Copyright gemäß der GPL, Version 2 oder später.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.